package golang-1.6-go 1.6.2-0ubuntu5~16.04 failed to install/upgrade: trying to overwrite '/usr/lib/go-1.6/src', which is also in package golang-1.6-race-detector-runtime 0.0+svn252922-0ubuntu1

Bug #1691834 reported by Alan Jones on 2017-05-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Undecided
Unassigned
golang-1.6 (Ubuntu)
Undecided
Unassigned

Bug Description

update through Ubuntu Software UI seems to fail on a folder lock.
Through terminal works as expected.
Do not believe the error is specific to this package, rather to the failure to release a folder lock when multiple packages are updated.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: golang-1.6-go 1.6.2-0ubuntu5~16.04
ProcVersionSignature: Ubuntu 4.4.0-78.99-generic 4.4.62
Uname: Linux 4.4.0-78-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
Date: Thu May 18 20:14:28 2017
DuplicateSignature:
 package:golang-1.6-go:1.6.2-0ubuntu5~16.04
 Unpacking golang-1.6-go (1.6.2-0ubuntu5~16.04.2) over (1.6.2-0ubuntu5~16.04) ...
 dpkg: error processing archive /var/cache/apt/archives/golang-1.6-go_1.6.2-0ubuntu5~16.04.2_amd64.deb (--unpack):
  trying to overwrite '/usr/lib/go-1.6/src', which is also in package golang-1.6-race-detector-runtime 0.0+svn252922-0ubuntu1
ErrorMessage: trying to overwrite '/usr/lib/go-1.6/src', which is also in package golang-1.6-race-detector-runtime 0.0+svn252922-0ubuntu1
InstallationDate: Installed on 2016-06-26 (326 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.20
SourcePackage: golang-1.6
Title: package golang-1.6-go 1.6.2-0ubuntu5~16.04 failed to install/upgrade: trying to overwrite '/usr/lib/go-1.6/src', which is also in package golang-1.6-race-detector-runtime 0.0+svn252922-0ubuntu1
UpgradeStatus: No upgrade log present (probably fresh install)

Alan Jones (sproj) wrote :
tags: removed: need-duplicate-check
ChristianEhrhardt (paelzer) wrote :

Hi Alan,
$ apt-get install golang-1.6-go golang-1.6-race-detector-runtime
works perfectly fine and /usr/lib/go-1.6/src is a symlink both packages own.
$ dpkg -S /usr/lib/go-1.6/src
golang-1.6-race-detector-runtime, golang-1.6-go: /usr/lib/go-1.6/src

I wonder if through "Ubuntu Software UI" would imply any sort of extra concurrency?
But then the apt lock would block that out.

I see that this happened on a bigger upgrade but it only seemed bigger due to so many mono related packages being bumped t the same time.

Hrm - for now question #1 is - is this reproducible?
So:
- did golang still not upgrade?
- does the same show up on every try to upgrade it?

I agree that this might be related to the UI updater, but essentially this is funneled through aptdaemon as seen in the DpkgHistoryLog. So for now I'm adding an aptdaemon task, maybe the experts there know more.

For you please provide as much extra info that you can along the questions above, but more if you can.

Changed in golang-1.6 (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers